<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:gravity="center_vertical"
    android:orientation="horizontal"
    android:paddingLeft="6dp"
    android:paddingTop="5dp"
    android:paddingRight="6dp"
    android:paddingBottom="5dp"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:minHeight="?android:attr/listPreferredItemHeight">

    <LinearLayout
        android:orientation="vertical"
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <EditText
                android:textAppearance="?android:attr/textAppearanceMedium"
                android:id="@+id/add_bookmark_title"
                android:paddingRight="35dp"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="2dp"
                android:maxLines="1"
                android:singleLine="true" />

            <Button
                android:textColor="@color/black"
                android:gravity="right|center_vertical|center_horizontal|center"
                android:layout_gravity="right|center_vertical|center_horizontal|center"
                android:id="@+id/clear_title_bookmark_btn"
                android:background="@drawable/clear_text"
                android:visibility="gone"
                android:layout_width="30dp"
                android:layout_height="30dp"
                android:layout_marginRight="5dp" />
        </FrameLayout>

        <EditText
            android:enabled="false"
            android:textAppearance="?android:attr/textAppearanceSmall"
            android:ellipsize="end"
            android:id="@+id/add_bookmark_url"
            android:focusable="false"
            android:clickable="false"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:maxLines="1"
            android:singleLine="true"
            android:editable="false" />
    </LinearLayout>
</LinearLayout>
